> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/ArticleFeeds ## OpenAPI ````json POST /v26.4/ArticleFeeds { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/ArticleFeeds": { "post": { "tags": [ "ArticleFeeds" ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ArticleFeedDTO" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ArticleFeedDTO" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/ArticleFeedDTO" } } } }, "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ArticleFeedDTO" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ArticleFeedDTO" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ArticleFeedDTO" } } } }, "400": { "description": "Bad Request", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ValidationExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ValidationExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ValidationExceptionInfo" } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "ArticleFeedDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "organizationId": { "type": "integer", "format": "int32", "nullable": true }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "headOfficeFeed": { "type": "boolean", "default": false }, "code": { "type": "string", "nullable": true }, "description": { "type": "string", "nullable": true }, "info": { "type": "string", "nullable": true }, "purchaseSupplierMode": { "$ref": "#/components/schemas/ArticleFeedPurchaseSupplierMode" }, "productPreferredSupplierMode": { "$ref": "#/components/schemas/ArticleFeedPreferredSupplierMode" }, "preferredSupplierId": { "type": "integer", "format": "int32", "nullable": true } }, "additionalProperties": false }, "ValidationExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true }, "validationExceptions": { "type": "array", "items": { "$ref": "#/components/schemas/ValidationExceptionRow" }, "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ArticleFeedPurchaseSupplierMode": { "enum": [ "NotSpecified", "UseOriginalSupplier", "UseSpecifiedSupplier", "UseBothSuppliers" ], "type": "string" }, "ArticleFeedPreferredSupplierMode": { "enum": [ "NotSpecified", "DoNotModifyPreferredSupplier", "SetOriginalSupplier", "SetSpecifiedSupplier" ], "type": "string" }, "ValidationExceptionRow": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "errorMessage": { "type": "string", "nullable": true }, "severity": { "type": "string", "nullable": true }, "propertyName": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````